# Maven image
FROM maven:3.6.0-jdk-11 AS build

# Copy src
COPY . /usr/app

# Build JAR
RUN mvn -s /usr/app/.build/maven/settings.xml -f /usr/app/pom.xml clean install -Dmaven.test.skip=true -q

# JRE image
FROM openjdk:11-jre-slim

# Set work directory
WORKDIR /work/

# Copy JAR
COPY --from=build /usr/app/skeleton-service-impl/skeleton-service-impl-spring-boot/target/*.jar /work/application.jar

# Read / Execute
RUN chmod 775 /work

# Expose port 8080
EXPOSE 8080

# Start
CMD ["java", "-Djava.security.egd=file:/dev/./urandom", "-Dspring.profiles.active=prod", "-jar", "./application.jar"]
